import QtQuick 1.1
import com.nokia.meego 1.0
import "x3m.js" as B

Page
{
    id: aboutPage
    orientationLock: PageOrientation.Automatic;
    tools: commonTools

    Header {
        id: h
        text: qsTr("Contact studio")
    }

    Flickable {
        anchors.top: h.bottom
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.rightMargin: B.DEFAULT_MARGIN
        anchors.leftMargin: B.DEFAULT_MARGIN
        contentHeight: c.height
        clip: true;

        Column {
            id: c;
            spacing: 32;

            anchors.horizontalCenter: parent.horizontalCenter

            Text {
                text: qsTr("Dialing and SMS works only in Finland")
                wrapMode: Text.WordWrap
                font.pixelSize: 24
                color: "white"
                width: parent.width
            }

            Button { text: qsTr("Call (0600-147311)"); onClicked: { Qt.openUrlExternally("tel:0600147311") } }
            Button { text: qsTr("Send SMS (16261)"); onClicked: { Qt.openUrlExternally("sms:16261") } }
            Text {                
                text: qsTr("Start message with X3M and a space, followed by your message. Price: 0.40eur");
                verticalAlignment: Text.AlignVCenter
                font.pixelSize: 28
                wrapMode: Text.WordWrap
                color: "white"
                width: parent.width
            }

            Button { text: qsTr("Web"); onClicked: { Qt.openUrlExternally("http://yle.fi/extrem/"); } }
            Button { text: qsTr("YouTube"); onClicked: { Qt.openUrlExternally("http://m.youtube.com/user/RadioX3M"); } }
            Button { text: qsTr("Facebook"); onClicked: { Qt.openUrlExternally("https://m.facebook.com/radiox3m"); } }
            Button { text: qsTr("Twitter"); onClicked: { Qt.openUrlExternally("https://twitter.com/RadioX3M"); } }
            Button { text: qsTr("Instagram"); onClicked: { Qt.openUrlExternally("http://instagram.com/radiox3m"); } }
        }
    }
}
